Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 590679 - Review Request: xmltool - Tool to manage XML documents through a Fluent Interface
Review Request: xmltool - Tool to manage XML documents through a Fluent Inter...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On: 588142
Blocks: 590680
  Show dependency treegraph
 
Reported: 2010-05-10 09:21 EDT by Guido Grazioli
Modified: 2010-06-17 10:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-17 10:32:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Guido Grazioli 2010-05-10 09:21:54 EDT
Spec URL: 
http://guidograzioli.fedorapeople.org/packages/xmltool/xmltool.spec
SRPM URL: 
http://guidograzioli.fedorapeople.org/packages/xmltool/xmltool-3.3-1.fc14.src.rpm
Description: 
XMLTool is a very simple Java library to be able to do all sorts of common 
operations with an XML document. Java developers often end up writing the same 
code for processing XML, transforming, etc. This easy to use class puts it all 
together, using the Fluent Interface pattern to facilitate XML manipulations.
Comment 1 Alexander Kurtakov 2010-06-01 16:14:05 EDT
I'll take this one.
Comment 2 Alexander Kurtakov 2010-06-01 16:27:56 EDT
Review:

OK: rpmlint must be run on every package. Output:

xmltool.noarch: W: non-conffile-in-etc /etc/maven/fragments/xmltool
xmltool-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Javanese

False positives. 

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL. 
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a
directory that it uses, then it should require a package which does create that
directory. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. 
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 
OK: Packages must not own files or directories already owned by other packages. 
OK: All filenames in rpm packages must be valid UTF-8. 

Package is APPROVED.
Comment 3 Guido Grazioli 2010-06-01 17:33:09 EDT
Thanks for your review.

New Package CVS Request
=======================
Package Name: xmltool
Short Description: Tool to manage XML documents through a Fluent Interface
Owners: guidograzioli
Branches:
Comment 4 Kevin Fenzi 2010-06-03 16:14:12 EDT
CVS done (by process-cvs-requests.py).
Comment 5 Guido Grazioli 2010-06-17 10:32:31 EDT
Imported and built in rawhide.

Note You need to log in before you can comment on or make changes to this bug.